// ************************************************************************************************************
// Author: Marcin Załęczny
// Release Date: 2010-11-10
// Licence: The GNU Lesser General Public License, version 3.0 (LGPLv3)
// ************************************************************************************************************
#ifndef __MZSTDXPSBLANKETS_PP519A_COMPACT_TRANSFER_FORM_H__
#define __MZSTDXPSBLANKETS_PP519A_COMPACT_TRANSFER_FORM_H__

#include "mzTransferForm.h"

#define     TRANSFER_TYPE_PP519A_COMPACT          2

class DECLSPEC_MZSTDXPSBLANKETS CPP519ACompactTransferForm : public CTransferForm {
public:
    WINAPI CPP519ACompactTransferForm() : CTransferForm() {
        this->_commonInit();
    };
    WINAPI CPP519ACompactTransferForm(CString receiver, CString receiver2, CString receiverAccount, CString amount,
                                    CString senderAccount, CString sender, CString sender2,
                                    CString title, CString title2);
    virtual WINAPI ~CPP519ACompactTransferForm();

    virtual CXmlNode* WINAPI generateBlanket(CXpsPackage* xps, CXpsDocument* xpsDoc, CXpsPage* page, CString fontName, float pageWidth, float pageHeight, float paddingTop = 0);
    
protected:
    float _blanketForBankWidth;
    float _blanketForBankHeight;
    float _blanketForCustomerWidth;
    float _blanketForCustomerHeight;
        
    BYTE* WINAPI _getPP519aFormData(DWORD* dataSize);
    
    VOID WINAPI _drawBlanketForBank(CXpsPage* page, CXmlNode* mainCanvas, CString fontName, float topX, float topY);
    VOID WINAPI _drawBlanketForCustomer(CXpsPage* page, CXmlNode* mainCanvas, CString fontName, float topX, float topY);
    VOID WINAPI _commonInit();
};

#endif
